## org.jvnet.maven.plugin.antrun
Class GraphFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  DependencyExclusionFilter, DumpGraphFilter, FullGraphFilter, GraphRefFilter, ListFilter, RetentionSetFilter, ScopeFilter, SubGraphFilter, SubtractFilter, VisualizeFilter, VisualizeFilter.Subgraph

    public abstract class GraphFilter

extends org.apache.tools.ant.ProjectComponent

Filter a `DependencyGraph` based on configuration by Ant.

Author:
  psterk

Field Summary
`protected java.util.List<GraphFilter>` `children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GraphFilter()`

Method Summary
`void` `add(GraphFilter child)` Adds another child.
`protected DependencyGraph` `evaluateChild()` Short for `evaluateChild(0)`, for those fitlers that only have one child.
`protected DependencyGraph` `evaluateChild(int index)` Evaluate the n-th child `GraphFilter`.
`abstract DependencyGraph` `process()`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    protected final java.util.List<GraphFilter> children

Constructor Detail

### GraphFilter

    public GraphFilter()

Method Detail

### process

    public abstract DependencyGraph process()

### add

    public void add(GraphFilter child)

  Adds another child. Ant will invoke this for each child element given in build script.

### evaluateChild

    protected DependencyGraph evaluateChild(int index)

  Evaluate the n-th child `GraphFilter`. If omitted, it returns the input graph, so that the full graph can be given as an input implicitly. Whether this defaulting is a good idea or not, it's hard to say.

### evaluateChild

    protected final DependencyGraph evaluateChild()

  Short for `evaluateChild(0)`, for those fitlers that only have one child.

Copyright © 2011. All Rights Reserved.